curl --request PUT \
--url https://api.mycreditapp.ai/v1-beta/private-records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>' \
--data '
{
"name": "Example Corporation",
"email": "info@example.com",
"phone": "+1-555-123-4567",
"established_date": "2005-08-15",
"size_id": "6f0d84f7-e442-4ac0-8297-24e1fe6da692",
"role_id": "292e8dad-37b5-4cb3-8a00-5bb840be894e",
"naics_code_id": "78b348b8-009c-4b87-af32-60a12fbc6e60",
"address": "123 Main Street",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country_code": "US",
"website": "https://www.example-corp.com",
"company_registration_number": "123456789",
"tax_id": "987654321",
"corporation_type_id": "de175027-612d-4103-a503-59ef0fe2849b"
}
'import requests
url = "https://api.mycreditapp.ai/v1-beta/private-records/{record_id}"
payload = {
"name": "Example Corporation",
"email": "info@example.com",
"phone": "+1-555-123-4567",
"established_date": "2005-08-15",
"size_id": "6f0d84f7-e442-4ac0-8297-24e1fe6da692",
"role_id": "292e8dad-37b5-4cb3-8a00-5bb840be894e",
"naics_code_id": "78b348b8-009c-4b87-af32-60a12fbc6e60",
"address": "123 Main Street",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country_code": "US",
"website": "https://www.example-corp.com",
"company_registration_number": "123456789",
"tax_id": "987654321",
"corporation_type_id": "de175027-612d-4103-a503-59ef0fe2849b"
}
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Example Corporation',
email: 'info@example.com',
phone: '+1-555-123-4567',
established_date: '2005-08-15',
size_id: '6f0d84f7-e442-4ac0-8297-24e1fe6da692',
role_id: '292e8dad-37b5-4cb3-8a00-5bb840be894e',
naics_code_id: '78b348b8-009c-4b87-af32-60a12fbc6e60',
address: '123 Main Street',
city: 'New York',
state: 'NY',
postal_code: '10001',
country_code: 'US',
website: 'https://www.example-corp.com',
company_registration_number: '123456789',
tax_id: '987654321',
corporation_type_id: 'de175027-612d-4103-a503-59ef0fe2849b'
})
};
fetch('https://api.mycreditapp.ai/v1-beta/private-records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/private-records/{record_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Corporation',
'email' => 'info@example.com',
'phone' => '+1-555-123-4567',
'established_date' => '2005-08-15',
'size_id' => '6f0d84f7-e442-4ac0-8297-24e1fe6da692',
'role_id' => '292e8dad-37b5-4cb3-8a00-5bb840be894e',
'naics_code_id' => '78b348b8-009c-4b87-af32-60a12fbc6e60',
'address' => '123 Main Street',
'city' => 'New York',
'state' => 'NY',
'postal_code' => '10001',
'country_code' => 'US',
'website' => 'https://www.example-corp.com',
'company_registration_number' => '123456789',
'tax_id' => '987654321',
'corporation_type_id' => 'de175027-612d-4103-a503-59ef0fe2849b'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/private-records/{record_id}"
payload := strings.NewReader("{\n \"name\": \"Example Corporation\",\n \"email\": \"info@example.com\",\n \"phone\": \"+1-555-123-4567\",\n \"established_date\": \"2005-08-15\",\n \"size_id\": \"6f0d84f7-e442-4ac0-8297-24e1fe6da692\",\n \"role_id\": \"292e8dad-37b5-4cb3-8a00-5bb840be894e\",\n \"naics_code_id\": \"78b348b8-009c-4b87-af32-60a12fbc6e60\",\n \"address\": \"123 Main Street\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": \"10001\",\n \"country_code\": \"US\",\n \"website\": \"https://www.example-corp.com\",\n \"company_registration_number\": \"123456789\",\n \"tax_id\": \"987654321\",\n \"corporation_type_id\": \"de175027-612d-4103-a503-59ef0fe2849b\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.mycreditapp.ai/v1-beta/private-records/{record_id}")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Corporation\",\n \"email\": \"info@example.com\",\n \"phone\": \"+1-555-123-4567\",\n \"established_date\": \"2005-08-15\",\n \"size_id\": \"6f0d84f7-e442-4ac0-8297-24e1fe6da692\",\n \"role_id\": \"292e8dad-37b5-4cb3-8a00-5bb840be894e\",\n \"naics_code_id\": \"78b348b8-009c-4b87-af32-60a12fbc6e60\",\n \"address\": \"123 Main Street\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": \"10001\",\n \"country_code\": \"US\",\n \"website\": \"https://www.example-corp.com\",\n \"company_registration_number\": \"123456789\",\n \"tax_id\": \"987654321\",\n \"corporation_type_id\": \"de175027-612d-4103-a503-59ef0fe2849b\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/private-records/{record_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Corporation\",\n \"email\": \"info@example.com\",\n \"phone\": \"+1-555-123-4567\",\n \"established_date\": \"2005-08-15\",\n \"size_id\": \"6f0d84f7-e442-4ac0-8297-24e1fe6da692\",\n \"role_id\": \"292e8dad-37b5-4cb3-8a00-5bb840be894e\",\n \"naics_code_id\": \"78b348b8-009c-4b87-af32-60a12fbc6e60\",\n \"address\": \"123 Main Street\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": \"10001\",\n \"country_code\": \"US\",\n \"website\": \"https://www.example-corp.com\",\n \"company_registration_number\": \"123456789\",\n \"tax_id\": \"987654321\",\n \"corporation_type_id\": \"de175027-612d-4103-a503-59ef0fe2849b\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Example Corporation",
"currency_code": "USD",
"id": "b25e7b65-e46a-40d5-a0f2-0de8c2b354aa",
"archived": true,
"archived_at": "2025-12-01T12:34:56.123456",
"created_at": "2025-01-01T09:00:00.123456",
"updated_at": "2025-06-01T15:00:00.123456",
"email": "info@example.com",
"phone": "+1-555-123-4567",
"established_date": "2005-08-15",
"size_id": "6f0d84f7-e442-4ac0-8297-24e1fe6da692",
"role_id": "292e8dad-37b5-4cb3-8a00-5bb840be894e",
"naics_code_id": "78b348b8-009c-4b87-af32-60a12fbc6e60",
"address": "123 Main Street",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country_code": "US",
"website": "https://www.example-corp.com",
"company_registration_number": "123456789",
"tax_id": "987654321",
"corporation_type_id": "de175027-612d-4103-a503-59ef0fe2849b"
}{
"detail": [
{
"loc": [],
"msg": "Invalid currency code!",
"type": "request",
"code": "invalid_currency"
},
{
"loc": [],
"msg": "Invalid organization role!",
"type": "request",
"code": "invalid_organization_role"
},
{
"loc": [],
"msg": "Invalid NAICS code!",
"type": "request",
"code": "invalid_naics_code"
},
{
"loc": [],
"msg": "Invalid organization size!",
"type": "request",
"code": "invalid_organization_size"
},
{
"loc": [],
"msg": "Invalid corporation type!",
"type": "request",
"code": "invalid_corporation_type"
},
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
},
{
"loc": [],
"msg": "Invalid country code!",
"type": "request",
"code": "invalid_country_code"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
},
{
"loc": [],
"msg": "Private record not found!",
"type": "request",
"code": "private_record_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Private record with this name or email already exists!",
"type": "request",
"code": "private_record_already_exists"
},
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Update a private record
curl --request PUT \
--url https://api.mycreditapp.ai/v1-beta/private-records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>' \
--data '
{
"name": "Example Corporation",
"email": "info@example.com",
"phone": "+1-555-123-4567",
"established_date": "2005-08-15",
"size_id": "6f0d84f7-e442-4ac0-8297-24e1fe6da692",
"role_id": "292e8dad-37b5-4cb3-8a00-5bb840be894e",
"naics_code_id": "78b348b8-009c-4b87-af32-60a12fbc6e60",
"address": "123 Main Street",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country_code": "US",
"website": "https://www.example-corp.com",
"company_registration_number": "123456789",
"tax_id": "987654321",
"corporation_type_id": "de175027-612d-4103-a503-59ef0fe2849b"
}
'import requests
url = "https://api.mycreditapp.ai/v1-beta/private-records/{record_id}"
payload = {
"name": "Example Corporation",
"email": "info@example.com",
"phone": "+1-555-123-4567",
"established_date": "2005-08-15",
"size_id": "6f0d84f7-e442-4ac0-8297-24e1fe6da692",
"role_id": "292e8dad-37b5-4cb3-8a00-5bb840be894e",
"naics_code_id": "78b348b8-009c-4b87-af32-60a12fbc6e60",
"address": "123 Main Street",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country_code": "US",
"website": "https://www.example-corp.com",
"company_registration_number": "123456789",
"tax_id": "987654321",
"corporation_type_id": "de175027-612d-4103-a503-59ef0fe2849b"
}
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Example Corporation',
email: 'info@example.com',
phone: '+1-555-123-4567',
established_date: '2005-08-15',
size_id: '6f0d84f7-e442-4ac0-8297-24e1fe6da692',
role_id: '292e8dad-37b5-4cb3-8a00-5bb840be894e',
naics_code_id: '78b348b8-009c-4b87-af32-60a12fbc6e60',
address: '123 Main Street',
city: 'New York',
state: 'NY',
postal_code: '10001',
country_code: 'US',
website: 'https://www.example-corp.com',
company_registration_number: '123456789',
tax_id: '987654321',
corporation_type_id: 'de175027-612d-4103-a503-59ef0fe2849b'
})
};
fetch('https://api.mycreditapp.ai/v1-beta/private-records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/private-records/{record_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Corporation',
'email' => 'info@example.com',
'phone' => '+1-555-123-4567',
'established_date' => '2005-08-15',
'size_id' => '6f0d84f7-e442-4ac0-8297-24e1fe6da692',
'role_id' => '292e8dad-37b5-4cb3-8a00-5bb840be894e',
'naics_code_id' => '78b348b8-009c-4b87-af32-60a12fbc6e60',
'address' => '123 Main Street',
'city' => 'New York',
'state' => 'NY',
'postal_code' => '10001',
'country_code' => 'US',
'website' => 'https://www.example-corp.com',
'company_registration_number' => '123456789',
'tax_id' => '987654321',
'corporation_type_id' => 'de175027-612d-4103-a503-59ef0fe2849b'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/private-records/{record_id}"
payload := strings.NewReader("{\n \"name\": \"Example Corporation\",\n \"email\": \"info@example.com\",\n \"phone\": \"+1-555-123-4567\",\n \"established_date\": \"2005-08-15\",\n \"size_id\": \"6f0d84f7-e442-4ac0-8297-24e1fe6da692\",\n \"role_id\": \"292e8dad-37b5-4cb3-8a00-5bb840be894e\",\n \"naics_code_id\": \"78b348b8-009c-4b87-af32-60a12fbc6e60\",\n \"address\": \"123 Main Street\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": \"10001\",\n \"country_code\": \"US\",\n \"website\": \"https://www.example-corp.com\",\n \"company_registration_number\": \"123456789\",\n \"tax_id\": \"987654321\",\n \"corporation_type_id\": \"de175027-612d-4103-a503-59ef0fe2849b\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.mycreditapp.ai/v1-beta/private-records/{record_id}")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Corporation\",\n \"email\": \"info@example.com\",\n \"phone\": \"+1-555-123-4567\",\n \"established_date\": \"2005-08-15\",\n \"size_id\": \"6f0d84f7-e442-4ac0-8297-24e1fe6da692\",\n \"role_id\": \"292e8dad-37b5-4cb3-8a00-5bb840be894e\",\n \"naics_code_id\": \"78b348b8-009c-4b87-af32-60a12fbc6e60\",\n \"address\": \"123 Main Street\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": \"10001\",\n \"country_code\": \"US\",\n \"website\": \"https://www.example-corp.com\",\n \"company_registration_number\": \"123456789\",\n \"tax_id\": \"987654321\",\n \"corporation_type_id\": \"de175027-612d-4103-a503-59ef0fe2849b\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/private-records/{record_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Corporation\",\n \"email\": \"info@example.com\",\n \"phone\": \"+1-555-123-4567\",\n \"established_date\": \"2005-08-15\",\n \"size_id\": \"6f0d84f7-e442-4ac0-8297-24e1fe6da692\",\n \"role_id\": \"292e8dad-37b5-4cb3-8a00-5bb840be894e\",\n \"naics_code_id\": \"78b348b8-009c-4b87-af32-60a12fbc6e60\",\n \"address\": \"123 Main Street\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": \"10001\",\n \"country_code\": \"US\",\n \"website\": \"https://www.example-corp.com\",\n \"company_registration_number\": \"123456789\",\n \"tax_id\": \"987654321\",\n \"corporation_type_id\": \"de175027-612d-4103-a503-59ef0fe2849b\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Example Corporation",
"currency_code": "USD",
"id": "b25e7b65-e46a-40d5-a0f2-0de8c2b354aa",
"archived": true,
"archived_at": "2025-12-01T12:34:56.123456",
"created_at": "2025-01-01T09:00:00.123456",
"updated_at": "2025-06-01T15:00:00.123456",
"email": "info@example.com",
"phone": "+1-555-123-4567",
"established_date": "2005-08-15",
"size_id": "6f0d84f7-e442-4ac0-8297-24e1fe6da692",
"role_id": "292e8dad-37b5-4cb3-8a00-5bb840be894e",
"naics_code_id": "78b348b8-009c-4b87-af32-60a12fbc6e60",
"address": "123 Main Street",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country_code": "US",
"website": "https://www.example-corp.com",
"company_registration_number": "123456789",
"tax_id": "987654321",
"corporation_type_id": "de175027-612d-4103-a503-59ef0fe2849b"
}{
"detail": [
{
"loc": [],
"msg": "Invalid currency code!",
"type": "request",
"code": "invalid_currency"
},
{
"loc": [],
"msg": "Invalid organization role!",
"type": "request",
"code": "invalid_organization_role"
},
{
"loc": [],
"msg": "Invalid NAICS code!",
"type": "request",
"code": "invalid_naics_code"
},
{
"loc": [],
"msg": "Invalid organization size!",
"type": "request",
"code": "invalid_organization_size"
},
{
"loc": [],
"msg": "Invalid corporation type!",
"type": "request",
"code": "invalid_corporation_type"
},
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
},
{
"loc": [],
"msg": "Invalid country code!",
"type": "request",
"code": "invalid_country_code"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
},
{
"loc": [],
"msg": "Private record not found!",
"type": "request",
"code": "private_record_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Private record with this name or email already exists!",
"type": "request",
"code": "private_record_already_exists"
},
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Headers
The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.
"054b4106-174b-46b0-97f8-86d8d7b6f0af"
The unique identifier of the organization that is the target of the request.
The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources.
If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.
"123e4567-e89b-12d3-a456-426614174000"
Path Parameters
Unique identifier of the private record
"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"
Body
Full name of the organization
1 - 300"Example Corporation"
Official email of the organization
1 - 100"info@example.com"
Contact phone number
"+1-555-123-4567"
Date when the organization was established
"2005-08-15"
Identifier of the organization NAICS code
"78b348b8-009c-4b87-af32-60a12fbc6e60"
Valid organization's street address
1 - 500"123 Main Street"
Valid organization's city
1 - 100"New York"
Valid organization's state or province
1 - 100"NY"
Valid organization's postal code
1 - 30"10001"
Valid organization's website URL
1 - 255"https://www.example-corp.com"
Valid organization's company registration number
1 - 255"123456789"
Valid organization's tax identification number
1 - 255"987654321"
Identifier of the organization's type of corporation
10 - 100"de175027-612d-4103-a503-59ef0fe2849b"
Response
Successful Response
Full name of the organization
1 - 300"Example Corporation"
Unique identifier of the private record
"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"
Whether the record is archived
Timestamp when the record was archived
"2025-12-01T12:34:56.123456"
Timestamp when the record was created
"2025-01-01T09:00:00.123456"
Timestamp when the record was updated
"2025-06-01T15:00:00.123456"
Official email of the organization
1 - 100"info@example.com"
Contact phone number
"+1-555-123-4567"
Date when the organization was established
"2005-08-15"
Identifier of the organization NAICS code
"78b348b8-009c-4b87-af32-60a12fbc6e60"
Valid organization's street address
1 - 500"123 Main Street"
Valid organization's city
1 - 100"New York"
Valid organization's state or province
1 - 100"NY"
Valid organization's postal code
1 - 30"10001"
Valid organization's website URL
1 - 255"https://www.example-corp.com"
Valid organization's company registration number
1 - 255"123456789"
Valid organization's tax identification number
1 - 255"987654321"
Identifier of the organization's type of corporation
10 - 100"de175027-612d-4103-a503-59ef0fe2849b"